clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::format::UnwrappedLineNode Struct Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Format/UnwrappedLineParser.h"`

Collaboration diagram for clang::format::UnwrappedLineNode:
[legend]

## Public Member Functions
| UnwrappedLineNode ()
| UnwrappedLineNode (FormatToken *Tok)

## Public Attributes
FormatToken * | Tok
SmallVector< UnwrappedLine, 0 > | Children

## Detailed Description

Definition at line 281 of file UnwrappedLineParser.h.

## Constructor & Destructor Documentation

## ◆ UnwrappedLineNode() [1/2]

clang::format::UnwrappedLineNode::UnwrappedLineNode | ( |  | ) |
| inline

Definition at line 282 of file UnwrappedLineParser.h.

## ◆ UnwrappedLineNode() [2/2]

clang::format::UnwrappedLineNode::UnwrappedLineNode | ( | FormatToken * | Tok | ) |
| inline

Definition at line 283 of file UnwrappedLineParser.h.

## Member Data Documentation

## ◆ Children

SmallVector<UnwrappedLine, 0> clang::format::UnwrappedLineNode::Children

Definition at line 286 of file UnwrappedLineParser.h.

Referenced by clang::format::printDebugInfo().

## ◆ Tok

FormatToken* clang::format::UnwrappedLineNode::Tok

Definition at line 285 of file UnwrappedLineParser.h.

The documentation for this struct was generated from the following file:

- lib/Format/UnwrappedLineParser.h